#############################################################################
# Copyright (c) 2013 Linaro
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#     Linaro <linaro-dev@lists.linaro.org>
#############################################################################

# pick up tests for inclusion in the system image
PRODUCT_PACKAGES += alarm-dev-test \
		    ashmemtest \
		    ashmemtest-expanded \
		    sync-basic	\
		    nl-listener \
		    vfat-volid dosfstools \
		    mkfs.vfat \
		    binderAddInts \
		    swp-test-static

PRODUCT_COPY_FILES += external/linaro-android-kernel-test/binder/bindertest.sh:system/bin/bindertest.sh
PRODUCT_COPY_FILES += external/linaro-android-kernel-test/linaro-android-kernel-tests.sh:system/bin/linaro-android-kernel-tests.sh
PRODUCT_COPY_FILES += external/linaro-android-kernel-test/netfilter/ipt-idletimer.sh:system/bin/ipt-idletimer.sh
PRODUCT_COPY_FILES += external/linaro-android-kernel-test/vfat-volid/test.sh:system/bin/vfat-volid-test.sh
PRODUCT_COPY_FILES += external/linaro-android-kernel-test/swp-swpb/swp-test-static:system/bin/swp-test-static

# put expanded ashmemtest in/out files on the device filesystem
PRODUCT_COPY_FILES += \
	external/linaro-android-kernel-test/ashmemtest-expanded/test0.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test0.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test0.out:data/linaro-android-kernel-test/ashmemtest-expanded/test0.out \
	external/linaro-android-kernel-test/ashmemtest-expanded/test1.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test1.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test1.out:data/linaro-android-kernel-test/ashmemtest-expanded/test1.out \
	external/linaro-android-kernel-test/ashmemtest-expanded/test2.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test2.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test2.out:data/linaro-android-kernel-test/ashmemtest-expanded/test2.out \
	external/linaro-android-kernel-test/ashmemtest-expanded/test3.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test3.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test3.out:data/linaro-android-kernel-test/ashmemtest-expanded/test3.out \
	external/linaro-android-kernel-test/ashmemtest-expanded/test4.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test4.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test4.out:data/linaro-android-kernel-test/ashmemtest-expanded/test4.out \
	external/linaro-android-kernel-test/ashmemtest-expanded/test5.txt:data/linaro-android-kernel-test/ashmemtest-expanded/test5.txt \
	external/linaro-android-kernel-test/ashmemtest-expanded/test5.out:data/linaro-android-kernel-test/ashmemtest-expanded/test5.out

